#include <aocpp/Startup.hpp>

#include <cstdlib>
#include <iostream>
#include <optional>
#include <memory>
#include <fstream>

namespace aocpp {

auto Startup(int argc, char ** argv) -> std::istream& {
  static std::ifstream fin;
  switch (argc) {
  case 2: fin = std::ifstream{argv[1]}; return fin;
  case 1: return std::cin;
  default:
    std::cerr << "bad arguments\n";
    exit(EXIT_FAILURE);
  }
}

}
