#include <algorithm>
#include <cstdint>
#include <iostream>
#include <fstream>
#include <iterator>
#include <vector>

#include <aocpp/Startup.hpp>

auto main(int argc, char** argv) -> int {
  auto& in = aocpp::Startup(argc, argv);
  auto fuel = [](std::int64_t& x) { return x=x/3-2; };

  std::int64_t x;
  std::int64_t part1 = 0;
  std::int64_t part2 = 0;

  while (in >> x) {
    part1 += fuel(x);
    for (; x > 0; fuel(x)) {
      part2 += x;
    }
  }
  std::cout << "Part 1: " << part1 << std::endl;
  std::cout << "Part 2: " << part2 << std::endl;
}
